---
title: "Update entity"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`PUT /v2/entities/{id}`

## Path parameters

- `id` (`entity-update.path.id`; string, required)
  - format `uuid`

## Request body

- `name` (`entity-update.name`; string, optional)
  - minLength 1; maxLength 255
- `description` (`entity-update.description`; string, optional, nullable)
  - maxLength 2000
- `overview` (`entity-update.overview`; string, optional, nullable)
  - maxLength 5000
- `location` (`entity-update.location`; string, optional, nullable)
  - maxLength 255
- `domain` (`entity-update.domain`; string, optional, nullable)
  - maxLength 255
- `twitterUrl` (`entity-update.twitterUrl`; string, optional, nullable)
  - format `uri`; maxLength 255
- `linkedinUrl` (`entity-update.linkedinUrl`; string, optional, nullable)
  - format `uri`; maxLength 255
- `logoUrl` (`entity-update.logoUrl`; string, optional, nullable)
  - format `uri`; maxLength 2000
- `parentId` (`entity-update.parentId`; string, optional, nullable)
  - format `uuid`
- `entityType` (`entity-update.entityType`; string, optional, nullable)
  - one of `"fund"`, `"company"`, `"portfolio"`, `"asset"`, `"investor"`, `"educational_institution"`, `"government_agency"`, `"non_profit"`, `"person"`, `"trust"`, `"other"`

## Example request

```json
{
  "name": "string",
  "description": "string",
  "overview": "string",
  "location": "string",
  "domain": "string",
  "twitterUrl": "http://example.com",
  "linkedinUrl": "http://example.com",
  "logoUrl": "http://example.com",
  "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
  "entityType": "fund"
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url 'https://api.sureshake.com/v2/entities/<id>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "string",
  "description": "string",
  "overview": "string",
  "location": "string",
  "domain": "string",
  "twitterUrl": "http://example.com",
  "linkedinUrl": "http://example.com",
  "logoUrl": "http://example.com",
  "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
  "entityType": "fund"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'string',
    description: 'string',
    overview: 'string',
    location: 'string',
    domain: 'string',
    twitterUrl: 'http://example.com',
    linkedinUrl: 'http://example.com',
    logoUrl: 'http://example.com',
    parentId: '70850378-7d3c-4f45-91b7-942d4dfbbd43',
    entityType: 'fund'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>"

payload = {
    "name": "string",
    "description": "string",
    "overview": "string",
    "location": "string",
    "domain": "string",
    "twitterUrl": "http://example.com",
    "linkedinUrl": "http://example.com",
    "logoUrl": "http://example.com",
    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
    "entityType": "fund"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "description": "string",
    "overview": "string",
    "location": "string",
    "domain": "string",
    "twitterUrl": "string",
    "linkedinUrl": "string",
    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
    "ownerId": "string",
    "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
    "entityType": "string",
    "logoUrl": "string",
    "bannerUrl": "string",
    "metadata": {
      "property1": null,
      "property2": null
    },
    "verified": true,
    "placeholderEntity": true,
    "dataResidency": "string",
    "autoCreated": true,
    "claimedBy": "string",
    "claimedAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-update.response.200.data`; object, required)
  - `id` (`entity-update.response.200.data.id`; string, required)
    - format `uuid`
  - `name` (`entity-update.response.200.data.name`; string, required)
  - `slug` (`entity-update.response.200.data.slug`; string, required)
  - `description` (`entity-update.response.200.data.description`; string, required, nullable)
  - `parentId` (`entity-update.response.200.data.parentId`; string, required, nullable)
    - format `uuid`
  - `ownerId` (`entity-update.response.200.data.ownerId`; string, required)
  - `collectionId` (`entity-update.response.200.data.collectionId`; string, required, nullable)
    - format `uuid`
  - `entityType` (`entity-update.response.200.data.entityType`; string, required, nullable)
  - `createdAt` (`entity-update.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`entity-update.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `overview` (`entity-update.response.200.data.overview`; string, optional, nullable)
  - `location` (`entity-update.response.200.data.location`; string, optional, nullable)
  - `domain` (`entity-update.response.200.data.domain`; string, optional, nullable)
  - `twitterUrl` (`entity-update.response.200.data.twitterUrl`; string, optional, nullable)
  - `linkedinUrl` (`entity-update.response.200.data.linkedinUrl`; string, optional, nullable)
  - `logoUrl` (`entity-update.response.200.data.logoUrl`; string, optional, nullable)
  - `bannerUrl` (`entity-update.response.200.data.bannerUrl`; string, optional, nullable)
  - `metadata` (`entity-update.response.200.data.metadata`; map<unknown>, optional, nullable)
  - `verified` (`entity-update.response.200.data.verified`; boolean, optional, nullable)
  - `placeholderEntity` (`entity-update.response.200.data.placeholderEntity`; boolean, optional, nullable)
  - `dataResidency` (`entity-update.response.200.data.dataResidency`; string, optional, nullable)
  - `autoCreated` (`entity-update.response.200.data.autoCreated`; boolean, optional, nullable)
  - `claimedBy` (`entity-update.response.200.data.claimedBy`; string, optional, nullable)
  - `claimedAt` (`entity-update.response.200.data.claimedAt`; string, optional, nullable)
    - format `date-time`
  - `createdBy` (`entity-update.response.200.data.createdBy`; string, optional, nullable)
- `meta` (`entity-update.response.200.meta`; object, optional)
  - `timestamp` (`entity-update.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.400.error`; object, required)
  - `code` (`entity-update.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.401.error`; object, required)
  - `code` (`entity-update.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.403.error`; object, required)
  - `code` (`entity-update.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.404.error`; object, required)
  - `code` (`entity-update.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.409.error`; object, required)
  - `code` (`entity-update.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.422.error`; object, required)
  - `code` (`entity-update.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.429.error`; object, required)
  - `code` (`entity-update.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.500.error`; object, required)
  - `code` (`entity-update.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-update.response.503.error`; object, required)
  - `code` (`entity-update.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-update.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-update.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-update.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entities/replace/index.md
